var vm = null,
    header = null,
    headerHeight = null

function init(){
  header = $api.byId('header'),
  headerHeight = $api.fixStatusBar(header)
  api.addEventListener({
      name:'keyback'
  }, function(ret, err){
    vm.handlerClose()
  })
}
apiready = function(){
  init()
  vm = new Vue({
    el: '#vm',
    data: {
      tabs: [],
      systemType: api.systemType,
      frameGroupIndex: api.pageParam.frameGroupIndex
    },
    methods: {
      getTabs: function(){
        var _this = this,
            departmentUrl = 'api/department'
        util.ajaxPromise({url: departmentUrl, method: 'get'}).then(function(ret){
            _this.tabs = ret.data
        })
      },
      handlerClose: function(){
        api.closeWin()
      },
      handlerSelected: function(item, index){
        var params = {type: '', id: item.id, name: item.name, index: index}
        api.execScript({name: 'forum/questions/questions', frameName: 'forum/questions/index',script: "forumQuestionsIndexFn('"+JSON.stringify(params)+"')"})
        api.closeWin()
      }
    },
    created: function(){
      this.getTabs()
    }
  })
}
