var vm = null

function init(){
  api.pageParam.index === 0 && util.openUiLoading()
}
function forumIndexFn(){
  vm.fn('refresh')
}
apiready = function(){
  init()
  vm = new Vue({
    el: '#vm',
    data: {
      advList: [],
      firstLoadAdvEnd: false,
      index: api.pageParam.index,
      noData: true,
      loadMoreGIF: false,
      loadAll: false,
      params: {},
      list: [],
      systemType: api.systemType
    },
    methods: {
      more: function(opType){
          var _this = this
          util.ajaxPromise(this.params).then(function(ret){
            for(var i = 0; i < ret.data.data.length; i++){
              var item = ret.data.data[i]
              item.imgs = item.proof_absolute ? item.proof_absolute.slice(0, 3) : []
            }
            _this.list = opType === 'refresh' ? ret.data.data :  _this.list.concat(ret.data.data)
            _this.noData = _this.list.length
          }).finally(function(){
            if(api.pageParam.index === 0){
              _this.firstLoadAdvEnd = true
              util.closeUiLoading()
            }
            _this.loadMoreGIF = false
            opType === 'refresh' && api.refreshHeaderLoadDone()
          })
      },
      getList: function(opType){
        var _this = this,
            newUrl = (api.pageParam.source === '我的收藏' ? 'api/post_stars' : 'api/post')
            this.params = {
              url: newUrl,
              method: 'get',
              values: {department_id: api.pageParam.id, page: 1},
              ajaxLoading: function(){
                _this.loadMoreGIF = true
                _this.noData = true
              },
              ajaxLoadAll: function(){
                _this.loadAll = true
              }
            }
            _this.more(opType)
      },
      handlerDetail: function(id){
        api.openWin({
            name: 'forum/detail/detail',
            url: './detail/detail.html',
            animation: {
              type: 'movein',
              subType: 'from_right',
              duration: 300
            },
            pageParam: {
              id: id,
              frameGroupIndex: api.pageParam.index
            },
            slidBackEnabled: false
        })
      },
      handlerQuestions: function(){
        api.openWin({
            name: 'forum/questions/questions',
            url: './questions/questions.html',
            animation: {
              type: 'movein',
              subType: 'from_right',
              duration: 300
            },
            slidBackEnabled: false
        })
      },
      fn: function(opType){
        var _this = this
        if(api.pageParam.index === 0){
        }else{
          this.firstLoadAdvEnd = true
        }
        _this.loadAll = false
        this.getList(opType)
        util.more({moreCallback: function(){
            _this.params.values.page++
            _this.more()
        }})
      },
      handlerPost: function(item){//收藏
        var _this = this,
            url = 'api/post/'+item.id
        var ajaxPromise = util.ajaxPromise({
          url: url,
          method: 'put',
          values: {}
        })
        ajaxPromise.then(function(ret){
          item.is_favorite ? item.stars_count-- : item.stars_count++
          item.is_favorite = !item.is_favorite
          api.toast({msg: ret.msg})
        }).fail(function(){
          api.toast({msg: ret.msg})
        }).finally(function(){
        })
      },
      handlerPraise: function(item){//点赞
        var _this = this,
            url = 'api/praise/'+item.id
        var ajaxPromise = util.ajaxPromise({
          url: url,
          method: 'get',
          values: {}
        })
        ajaxPromise.then(function(ret){
          item.is_praise ? item.praises_count-- : item.praises_count++
          item.is_praise = !item.is_praise
          api.toast({msg: ret.msg})
        }).fail(function(){
          api.toast({msg: ret.msg})
        }).finally(function(){
        })
      }
    },
    directives: {
      rich: {
        inserted: function(el, binding){
          el.innerHTML = binding.value
        },
        update: function(el, binding){
          el.innerHTML = binding.value
        }
      }
    },
    created: function(){
      var _this = this
      this.fn()
      util.refresh(function(){ _this.fn('refresh') })
    }
  })
}
