var header = null,
    headerHeight = null,
    vm = null,
    FNImageClip = null
function init() {
  header = $api.byId('header')
  headerHeight = $api.fixStatusBar(header)
  util.slidingClose()
}
apiready = function() {
    init()
    vm = new Vue({
        el: '#vm',
        data: {
          user: {},
          isSubmitIng: false
        },
        methods: {
          clip: function(path){
                FNImageClip = api.require('FNImageClip')
                FNImageClip.open({
                    rect: {
                        x: 0,
                        y: headerHeight - 1,
                        w: api.winWidth,
                        h: api.winHeight
                    },
                    srcPath: path,
                    style: {
                        mask: 'rgba(0,0,0,.5)',
                        clip: {
                            w: api.winWidth - 120,
                            h: api.winWidth - 120,
                            x: 60,
                            y: api.winHeight / 2 -  (api.winWidth - 120)/2 - headerHeight / 2,
                            borderColor: '#0f0',
                            borderWidth: 1,
                            appearance: 'rectangle'
                        }
                    },
                    mode: 'image',
                    fixedOn: api.frameName
                }, function(ret, err) {})
          },
          handlerConfirm: function(){
              var _this = this
              FNImageClip.save({
                  destPath: 'fs://imageClip/avatar'+new Date().getTime()+'.jpg',
                  copyToAlbum: false,
                  quality: 1
              }, function(ret, err) {
                  ret ? _this.submit(ret.destPath) : api.toast({msg: '裁剪图片失败'})
              })
          },
          submit: function(path){
              var _this = this
              util.ajaxPromise({url: 'picture', method: 'post', files: {
                 picture: path
              }}).then(function(ret){
                  if (ret) {
                      _this.updateUserInfo(ret.data.url, ret.data.real_url)
                  } else {
                      api.toast({msg: '上传失败'})
                  }
              })
          },
          updateUserInfo: function(avatar, real_url){
            if(this.isSubmitIng) return
            this.isSubmitIng = true
            var user = util.getPrefs('user')
            util.ajaxPromise({url: 'api/user/'+user.user.user_id, method: 'put', values: {
              avatar: avatar,
              name: user.user.name
            }}).then(function(ret){
              api.toast({msg: ret.msg})
              user.user.avatar = real_url
              util.setPrefs('user', user)
              var params = {type: 'updateUserInfo'}
              params = $api.jsonToStr(params)
              api.execScript({name: 'html/main', frameName: 'my/index', script: "myIndexFn('"+params+"')"})
              api.execScript({name: 'my/info/info',frameName: 'info/index',script: "myInfoIndex('"+params+"')"})
              setTimeout(function(){api.closeWin()}, 1000)
            }).fail(function(err){
              api.toast({msg: err.msg})
            }).finally(function(){
              _this.isSubmitIng = false
            })
          }
        },
        created: function(){
          this.clip(api.pageParam.data)
        }
    })
}
