var header = null,
    vm = null
function init() {
  util.slidingClose()
}
function myInfoIndex(params){//路径 html/my/info/clip.html
  params = $api.strToJson(params)
  if(params.type === 'updateUserInfo'){//修改更改用户信息
    vm.getPrefsUserInfo()
  }
}
apiready = function() {
    init()
    vm = new Vue({
        el: '#vm',
        data: {
          user: {},
          imgSrc: '../../../image/my/info/icon-pending.png',
          vipText: '',
          firstLoadEnd: false
        },
        methods: {
          handlerUpload: function(){
            var _this = this
            unloadImg.select({quality: 60}).then(function(ret){
              ret.data && api.openWin({name: 'info/clip',url: './clip.html',pageParam: {data: ret.data},animation: {type: 'fade'}})
            })
          },
          handlerPhotoBrowser: function(){
            if(!this.user.avatar) return this.handlerUpload()
            if(this.user.avatar.charAt(0) === '.') return
            if(!this.user.avatar) return this.handlerUpload()
            util.openPhotoBrowser({
              imgList: [this.user.avatar]
            })
          },
          isTimeSize: function(t1){
            t1 = t1.replace(/-/g, '/')
            t1 = new Date(Date.parse(t1))
            var date = new Date(),
                currentYMD = date.getFullYear() + '/' + (date.getMonth() + 1) + '/' + date.getDate(),
                currentTime = new Date(Date.parse(currentYMD))
            return t1 - currentTime
          },
          getYMD: function(){
              var nowDate = new Date(),
                  year = nowDate.getFullYear(),
                  month = nowDate.getMonth() + 1 < 10 ? '0' + (nowDate.getMonth() + 1) : nowDate.getMonth() + 1
                  day = nowDate.getDate() < 10 ? '0' + nowDate.getDate() : nowDate.getDate()
             return year + '/' + month + '/' + day
          },
          setAge: function(){
            var _this = this,
                profile = this.user.profile,
                date = profile.birth_year + '/' + profile.birth_month + '/' + profile.birth_day,
                maxDate = new Date()
            if(!profile.birth_year && !profile.birth_month && !profile.birth_day){
              date = '1980/10/01'
            }
            api.openPicker({
                type: 'date',
                date: date,
                maxDate: this.getYMD(),
                title: '选择时间'
            }, function(ret, err) {
                if(ret) {
                    var year = ret.year,
                        month = ret.month,
                        day = ret.day
                    var diff = _this.isTimeSize(year+'/'+month+'/'+day)
                    if(diff < 0){
                      _this.updateAge({birth_year: year,birth_month: month,birth_day: day})
                    }else if(diff > 0){
                      api.toast({msg: '出生日期不能大于今天'})
                    }
                }
            })
          },
          updateAge: function(values){
            var _this = this,
                user = util.getPrefs('user')
                values.real_name = user.profile.real_name
            util.ajaxPromise({url: 'api/user/'+user.user.user_id, method: 'put', values: values}).then(function(ret){
              api.toast({msg: ret.msg})
              user.user.profile.birth_year = values.birth_year
              user.user.profile.birth_month = values.birth_month
              user.user.profile.birth_day = values.birth_day
              _this.user.profile.birth_year = values.birth_year
              _this.user.profile.birth_month = values.birth_month
              _this.user.profile.birth_day = values.birth_day
              util.setPrefs('user', user)
              var params = {type: 'updateUserInfo'}
              params = $api.jsonToStr(params)
              api.execScript({name: 'html/main',frameName: 'my/index',script: "myIndexFn('"+params+"')"})
            }).fail(function(err){
              api.toast({msg: err.msg || '操作失败'})
            })
          },
          handlerUpdate: function(key, value, text, placeholder){
            if(key === 'age') return this.setAge()
            api.openWin({
                name: 'my/info/update',
                url: './update.html',
                bounces: false,
                animation: {
                  type: 'movein',
                  duration: 300
                },
                pageParam: {
                  key: key,
                  value: value,
                  text: text,
                  placeholder: placeholder
                }
            })
          },
          handlerOpenAttestation: function(){
            if(util.isVip() != 0) return
            api.openWin({
                name: 'my/attestation/attestation',
                url: '../attestation/attestation.html',
                bounces: false,
                animation: {
                  type: 'middle',
                  duration: 300
                },
                pageParam: {}
            })
          },
          faultTolerant: function(){

          },
          getPrefsUserInfo: function(){
            var user =  util.getPrefs('user') || { user: {} }
            if(!user.user.avatar){
              user.user.avatar = '../../../image/common/default-picture-1-1.jpg'
            }
            this.user = user.user
            this.faultTolerant()
            var url = '../../../image/my/info/'
            if(this.user.profile.status == 2){
              this.imgSrc = url + 'icon-complate.png'
            }
            // var vip = util.isVip(this.user.vip_overtuetime)
            // if(vip == 1){
            //   this.imgSrc = url + 'icon-vip.png'
            // }else if(vip == 2){
            //   this.imgSrc = ''
            //   this.vipText = 'VIP已过期'
            // }
            this.firstLoadEnd = true
          }
        },
        created: function(){
          this.getPrefsUserInfo()
        }
    })
}
