var header = null,
    headerHeight = null,
    vm = null

function init(){
  header = $api.byId('header'),
  headerHeight = $api.fixStatusBar(header)
}
apiready = function(){
  init()
  vm = new Vue({
    el: '#vm',
    data: {
      count: 1
    },
    methods: {
      bindClientId: function(client_id){
        var ajaxPromise = util.ajaxPromise({
          url: 'api/join',
          method: 'post',
          values: {client_id: client_id, id: api.pageParam.id}
        })
        ajaxPromise.then(function(data){})
      },
      webSocket: function(){
        var ws = new WebSocket('ws://ws.maissy.net:80'),
            _this = this
            ws.onmessage = function(data){
              var data = JSON.parse(data.data),
                  type = data.type,
                  client_id = data.client_id
                  switch(type){
                     case 'init':
                            _this.bindClientId(client_id)
                            break
                      case 'joinGroup':
                            _this.count = data.count
                            break
                     case 'ping':
                            ws.send('ping')
                            break
                     case 'close':
                             break
                     default :
                            break
                  }
            }
      },
      openView: function(webcastId, token){
        var browser = api.require('webBrowser'),
            user = util.getPrefs('user')
            browser.openView({
                url: 'http://huishiyl.gensee.com/webcast/site/entry/join-'+webcastId+'?nickName='+user.user.nickname+'&token='+token,
                rect: {
                    x: 0,
                    y: headerHeight,
                    w: 'auto',
                    h: 'auto'
                }
            }, function(ret, err) {})
      }
    },
    created: function(){
      var _this = this
      util.ajaxPromise({url: 'api/live/'+api.pageParam.id, method: 'get'}).then(function(ret){
        _this.openView(ret.data.webcast_id, ret.data.token)
        _this.webSocket()
      }).fail(function(err){
        api.toast({msg: err.msg})
      })
    }
  })
}
