var vm = null,
    UILoading = null,
    UIScrollPicture = null,
    pictureL = null,
    pictureW = null,
    pictureH = null,
    NVNavigationBar = null,
    videoTypeIndex = 0,
    s = 0

function init(){
  if(api.pageParam.index === 0){
        pictureL = parseInt($api.cssVal($api.dom('html'), 'font-size')) * 0.75
        pictureW = api.winWidth + 1 - pictureL * 2
        pictureH = 375 * pictureW/ 750
    var picture = $api.byId('picture')
        s = pictureH + pictureL
        $api.css(picture, 'width: '+api.winWidt+'px;height:'+parseInt(s)+'px')

        UILoading = api.require('UILoading')
        UILoading.flower({
            center: {
                x: api.winWidth / 2,
                y: api.winHeight / 2
            },
            size: 45,
            fixed: true,
            id: 'UILoading'
        }, function(ret) {})
  }
}
apiready = function(){
  init()
  vm = new Vue({
    el: '#vm',
    data: {
      advList: [],
      firstLoadAdvEnd: false,
      index: api.pageParam.index,
      noData: true,
      loadMoreGIF: false,
      loadAll: false,
      params: {},
      list: [],
      systemType: api.systemType
    },
    methods: {
      loadAdv: function(){
        var _this = this,
            advUrl = 'api/adv?position_id=3'
        var list = []
        var AdvAjaxPromise = util.ajaxPromise({url: advUrl, method: 'get', cb: function(){}, values: {}})
          list.push(AdvAjaxPromise)
            Q.all(list).then(function(ret){
              _this.advList = ret[0].data
              var picture = util.map(_this.advList, 'picture')
              // uiScrollPicture(picture)
              !_this.firstLoadAdvEnd ? uiScrollPicture(picture) : uiScrollPictureReloadData(picture)

            }).finally(function(){
              _this.firstLoadAdvEnd = true
              UILoading.closeFlower({id: 'UILoading'})
            })
      },
      more: function(opType){
          var _this = this
          util.ajaxPromise(this.params).then(function(ret){
            _this.list = opType === 'refresh' ? ret.data.data :  _this.list.concat(ret.data.data)
            // _this.list = _this.list.concat(ret.data.data)
            _this.noData = _this.list.length
          }).finally(function(){
            _this.loadMoreGIF = false
            opType === 'refresh' && api.refreshHeaderLoadDone()
          })
      },
      getList: function(opType){
        var _this = this,
            newUrl = 'api/video'
            this.params = {
              url: newUrl,
              method: 'get',
              values: {type_id: api.pageParam.id, page: 1},
              ajaxLoading: function(){
                _this.loadMoreGIF = true
                _this.noData = true
              },
              ajaxLoadAll: function(){
                _this.loadAll = true
              }
            }
            _this.more(opType)
      },
      handlerReplay: function(id){
          util.relNameAndVip().then(function(){
            api.openWin({
                name: 'video/replay/replay',
                url: './replay/replay.html',
                animation: {
                  type: 'movein',
                  subType: 'from_right',
                  duration: 300
                },
                pageParam: {
                  id: id
                },
                slidBackEnabled: false
            })
          }).fail(function(){})

      },
      fn: function(opType){
        var _this = this
        if(api.pageParam.index === 0){
          this.loadAdv()
        }else{
          this.firstLoadAdvEnd = true
        }
        _this.loadAll = false
        this.getList(opType)
        util.more({moreCallback: function(){
            _this.params.values.page++
            _this.more()
        }})
      }
    },
    filters: {
      addHttp: function(url){
        return url ? (url.substr(0, 7).toLowerCase() === 'http://' ? url : 'http://' + url) : url
      }
    },
    directives: {
      rich: {
        inserted: function(el, binding){
          el.innerHTML = binding.value
        },
        update: function(el, binding){
          el.innerHTML = binding.value
        }
      }
    },
    created: function(){
      var _this = this
      this.fn()
      util.refresh(function(){ _this.fn('refresh') })
    }
  })
}
function uiScrollPictureReloadData(paths){
      UIScrollPicture.reloadData({
          data: {
              paths: paths
          }
      })
}
function uiScrollPicture(paths){
      UIScrollPicture = api.require('UIScrollPicture')
      var dot = {w: 18,h: 2,r: 2,margin: 2}
      if(api.systemType === 'ios'){
          dot = {w: 18,h: 4,r: 4,margin: 4}
      }
      UIScrollPicture.open({
          rect: {x: pictureL,y: pictureL,w: pictureW,h: pictureH},
          data: {paths: paths},
          styles: {indicator: {dot: dot,align: 'center',color: '#fff',activeColor: '#2866ca'}},
          interval: 5,
          loop: true,
          loop: false,
          fixed: false,
          fixedOn: api.frameName,
      }, function(ret, err) {
        if(ret.eventType === 'click'){
          util.openAdvPage(vm.$data.advList[ret.index])
        }
      })
}
