var ajpush = api.require('ajpush')

ajpush.setListener(function(ret) {
        var id = ret.id,
            title = ret.title,
            content = ret.content,
            extra = ret.extra
            api.alert({
                title: title || '通知',
                msg: content,
            }, function(ret, err) {})
   }
)

api.addEventListener({
    name:'noticeclicked'
},function(ret,err){
  ajpush.clearNotification({id: -1})
})

function init(){
  ajpush.init(function(ret) {
      if (ret && ret.status){}
  })
}
init()

function bindAliasAndTags(){//绑定别名和标签
  var user = util.getPrefs('user'),
      param = {alias: 'jgpush'+ user.user.user_id}
      ajpush.bindAliasAndTags(param,function(ret) {})
}
bindAliasAndTags()

function stopPush(){//停止Push推送
      ajpush.stopPush(function(ret) {})
}

function resumePush(){//恢复Push推送。
      ajpush.resumePush(function(ret) {})
}

function isPushStopped(){//查询当前推送服务是否停止。
      ajpush.isPushStopped(function(ret) {
          if(ret.isStopped == 1){//推送服务是否停止状态，1-停止，0-未停止
            init()
            resumePush()
          }else if(ret.isStopped == 0){
            bindAliasAndTags()
          }
      })
}
isPushStopped()
api.addEventListener({
    name: 'loginOrExitSuccess'
}, function(ret, err){
  var type = ret.value.type
  if(type === 'login'){
    isPushStopped()
  }else if(type === 'exit'){
      stopPush()
  }
})
