unloadImg = {
  select: function(params){
    params = params || {}
    var deferred = Q.defer()
    params.resolve = deferred.resolve
    params.reject = deferred.reject
      var buttons = ['拍照', '从手机相册选择'],
          sourceType = ['camera', 'album']
      api.actionSheet({
          title: '',
          cancelTitle: '取消',
          buttons: buttons
      }, function(ret, err) {
          if (ret && ret.buttonIndex != 3) {
              unloadImg.getPicture(params,sourceType[ret.buttonIndex-1])
          }
      })
      return deferred.promise
  },
  getPicture: function(params,sourceType){
      var encodingType = params.encodingType || 'jpg',
          mediaValue = params.mediaValue || 'pic',
          destinationType = params.destinationType || 'base64',
          allowEdit = params.allowEdit || true,
          quality = params.quality || 100,
          targetWidth = params.targetWidth || 750,
          targetHeight = params.targetHeight || 1080,
          saveToPhotoAlbum = params.saveToPhotoAlbum || true
          api.getPicture({
              sourceType: sourceType,
              encodingType: encodingType,
              mediaValue: mediaValue,
              destinationType: destinationType,
              allowEdit: allowEdit,
              quality: quality,
              targetWidth: targetWidth,
              targetHeight: targetHeight,
              saveToPhotoAlbum: saveToPhotoAlbum,
              allowEdit: false
          }, function(ret, err) {
            if(ret){
              if(!ret.data || !ret.base64Data){
                params.reject(ret)
              }else{
                params.isAjaxUpload ? unloadImg.ajaxUpload(params, ret.data) : params.resolve(ret)
              }
            }else{
              params.reject(err)
            }
          })
  },
  ajaxUpload: function(params, path){
    util.ajaxPromise({url: 'picture', method: 'post', files: {
       picture: path
    }}).then(function(ret){
        ret && params.resolve(ret)
    }).fail(function(err){
        params.reject(err)
    })
  }
}
