var vm = null
function init(){
  util.openUiLoading()
}
apiready = function() {
    init()
    util.slidingClose()
    vm = new Vue({
      el: '#vm',
      data: {
        isTitleShow: false,
        isPhotoBrowserOpen: false,
        firstLoadEnd: false,
        isSubmitIng: false,
        imgList: [],
        question: '',
        description: '',
        systemType: api.systemType
      },
      methods: {
        handlerToggleTitle: function(){
          this.isTitleShow = !this.isTitleShow
        },
        handlerUpload: function(){
          _this = this
          unloadImg.select({isAjaxUpload: true}).then(function(ret){
              _this.imgList.push(ret.data.real_url)
          })
        },
        handlerPhotoBrowser: function(index){
          util.openPhotoBrowser({
            imgList: this.imgList,
            activeIndex: index
          })
        },
        handlerDel: function(index){
          this.imgList.splice(index, 1)
        },
        hanlderSubmit: function(){
          var _this = this
          api.execScript({name: 'answer/answer',frameName: 'answer/index',script: "answerIndexFn()"})
          if(!this.description) return api.toast({msg: '请输入描述内容'})
          var values = {
            description: this.description
          }
          if(this.isTitleShow){
            values.question = this.question
          }
          if(this.imgList.length){
            values.proof = this.imgList
          }
          if(this.isSubmitIng) return
          this.isSubmitIng = true
          util.ajaxPromise({url: 'api/question/', method: 'post', values: values}).then(function(ret){
            api.toast({msg: ret.msg})
            api.execScript({name: 'answer/answer', frameName: 'answer/index', script: "answerIndexFn()"})
            setTimeout(function(){api.closeWin()}, 1000)
            _this.question = ''
            _this.description = ''
            _this.imgList = []
          }).fail(function(err){
            api.toast({msg: err.msg})
          }).finally(function(){
            _this.isSubmitIng = false
          })
        }
      },
      mounted: function(){
          this.firstLoadEnd || util.closeUiLoading()
          this.firstLoadEnd = true
      }
    })
}
