var vm = null
function init(){
  util.openUiLoading()
  util.slidingClose()
}
apiready = function() {
    init()
    vm = new Vue({
      el: '#vm',
      data: {
        noData: true,
        loadMoreGIF: false,
        loadAll: false,
        firstLoadEnd: false,
        list: [],
        params: {},
        android: api.systemType,
        title: ''
      },
      computed: {
        loadAllComd: function(){
          return this.loadAll && this.list.length
        }
      },
      methods: {
        handlerQuestions: function(){
          util.relNameAndVip().then(function(){
            api.openWin({
                name: 'answer/questions',
                url: './questions/questions.html',
                bounces: false,
                animation: {
                  type: 'movein',
                  duration: 300
                }
            })
          }).fail(function(){
            // console.log('fail')
          })
        },
        handlerPhotoBrowser: function(proof, index){
          util.openPhotoBrowser({
            imgList: proof,
            activeIndex: index,
            showSaveBtn: true
          })
        },
        more: function(opType){
            var _this = this
            if(opType === 'refresh'){//刷新
              this.params.values.page = 1
              _this.repeat()
            }
            util.ajaxPromise(this.params).then(function(ret){
                for(var i = 0; i < ret.data.data.length; i++){
                  var item = ret.data.data[i]
                  item.imgs = item.proof ? item.proof.slice(0, 3) : []
                }
                _this.list = opType === 'refresh' ? ret.data.data :  _this.list.concat(ret.data.data)
                _this.noData = _this.list.length
            }).finally(function(){
              _this.loadMoreGIF = false
              _this.firstLoadEnd || util.closeUiLoading()
              _this.firstLoadEnd = true
              opType === 'refresh' && api.refreshHeaderLoadDone()
            })
        },
        load: function(opType){
          var _this = this,
              newUrl = 'api/question'
              this.params = {
                url: newUrl,
                method: 'get',
                more: true,
                values: {cate_id: api.pageParam.cateId, per_page: 10, page: 1},
                ajaxLoading: function(){
                  _this.loadMoreGIF = true
                  _this.noData = true
                },
                ajaxLoadAll: function(){
                  _this.loadAll = true
                }
              }
              _this.more(opType)
        },
        repeat: function(){
          var _this = this
          _this.loadAll = false
          util.more({moreCallback: function(){
              _this.params.values.page++
              _this.more()
          }})
        }
      },
      directives: {
        rich: {
          inserted: function(el, binding){
            el.innerHTML = binding.value
          },
          update: function(el, binding){
            el.innerHTML = binding.value
          }
        }
      },
      created: function(){
        this.load()
        this.repeat()
        this.title = api.pageParam.title
      }
    })
    util.refresh(function(){ vm.load('refresh') })
}
function answerIndexFn(){
  vm.load('refresh')
}
