var vm = null
function init(){
  util.openUiLoading()
}
function detailMoreindex(){
  vm.handlerClose()
}
apiready = function() {
    init()
    vm = new Vue({
      el: '#vm',
      data: {
        firstLoadEnd: false,
        isSubmitIng: false,
        content: '',
        placeholder: '评论内容......',
        userId: api.pageParam.userId,
        systemType: api.systemType,
        postId: '',
        parentId: '',
        outerIndex: -1,
        innerIndex: -1,
        pullUpIng: false,
        item: {}
      },
      methods: {
        handlerClose: function(){
          this.execScript()
          api.closeWin()
        },
        handlerRepliesPraise: function(item){//评论点赞
          var _this = this,
              url = 'api/replies_praise/'+item.id
          var ajaxPromise = util.ajaxPromise({
            url: url,
            method: 'get',
            values: {}
          })
          ajaxPromise.then(function(ret){
            if(item.praise === 'n'){
              item.praise = 'y'
              item.praises_count += 1
            }else{
              item.praise = 'n'
              item.praises_count -= 1
            }
            api.toast({msg: ret.msg})
          }).fail(function(err){
            api.toast({msg: err.msg})
          }).finally(function(){
          })
        },
        handlerOneLevel: function(item){
          this.$refs.input.focus()
          this.postId = item.post_id
          this.parentId = item.id
          this.outerIndex = -1
          this.innerIndex = -1
          this.placeholder = '回复' + item.replies_user
        },
        handlerTwoLevel: function(item, eIndex){
          this.$refs.input.focus()
          this.postId = item.post_id
          this.parentId = item.id
          this.innerIndex = eIndex
          this.placeholder = '回复' + item.replies_user
        },
        execScript: function(){
          var params = {
            type: '',
            item: this.item
          }
          params = $api.jsonToStr(params)
          api.execScript({name: 'forum/detail/detail', frameName: 'forum/detail/index', script: "forumDetailIndex('"+params+"')"})
        },
        handlerAddReplies: function(){
          if(!util.isLogin()){
            return util.isLogin(true)
          }
          if(!this.content) return api.toast({msg: '请输入评论内容'})
          if(this.isSubmitIng) return
          this.isSubmitIng = true
          var _this = this,
              url = 'api/replies',
              user = util.getPrefs('user'),
              values = {
                post_id: _this.postId,
                parent_id: this.parentId,
                content: _this.content
              }
          var ajaxPromise = util.ajaxPromise({
            url: url,
            method: 'post',
            values: values
          })
          ajaxPromise.then(function(ret){
            var user = util.getPrefs('user'),
                data = ret.data
                data.replies = []
                data.user = user.user
                data.user_id = user.user.user_id
                data.praises_count = 0
                _this.content = ''
                if(_this.innerIndex != -1){
                  _this.item.replies.splice(_this.innerIndex + 1, 0, data)
                }else if(_this.outerIndex == -1){
                  _this.item.replies.unshift(data)
                }
                api.toast({msg: ret.msg, location: 'middle'})
                _this.outerIndex = -1
                _this.innerIndex = -1
                _this.placeholder = '评论内容......'
          }).fail(function(err){
            api.toast({msg: err.msg})
          }).finally(function(){
            _this.isSubmitIng = false
          })
        }
      },
      created: function(){
        var item = api.pageParam.item
        this.item = item
        this.parentId = item.id
        this.postId = this.post_id
      },
      mounted: function(){
        var _this = this
        this.$nextTick(function(){
          _this.firstLoadEnd = true
          util.closeUiLoading()
        })
      }
    })
}
