var vm = null,
    UILoading = null,
    myScroll = null
function init(){
  util.openUiLoading()
  util.slidingClose()
}
function forumDetailIndex(params){
  var outerIndex = vm.$data.outerIndex
  vm.$data.outerIndex = -1
  params = $api.strToJson(params)
  vm.$data.userComment.splice(outerIndex, 1, params.item)
}
apiready = function() {
    init()
    vm = new Vue({
      el: '#vm',
      data: {
        noData: true,
        loadMoreGIF: false,
        loadAll: false,
        firstLoadDetailEnd: false,
        isSubmitIng: false,
        content: '',
        placeholder: '评论内容......',
        data: {
          user: {
            profile: {}
          }
        },
        userComment: [],
        params: {},
        systemType: api.systemType,
        postId: api.pageParam.id,
        parentId: '',
        outerIndex: -1,
        innerIndex: -1,
        showReplyIng: false,
        showIngText: ''
      },
      methods: {
        handlerPhotoBrowser: function(index){
          util.openPhotoBrowser({
            imgList: this.data.proof_absolute,
            activeIndex: index,
            showSaveBtn: true
          })
        },
        updateListPage: function(){
          api.execScript({name: 'forum/forum', frameName: 'forum/index0', script: "forumIndexFn()"})
          api.execScript({name: 'forum/forum', frameName: 'forum/index'+api.pageParam.frameGroupIndex, script: "forumIndexFn()"})
        },
        handlerMoreComment: function(item, index){
          this.outerIndex = index
          api.openWin({
            name: 'forum/detail/more/more',
            url: './more/more.html',
            slidBackEnabled: false,
            bgColor: '#fff',
            animation: {
              type: 'movein',
              subType: 'from_bottom',
              duration: 300
            },
            pageParam: {
              item: item,
              outerIndex: index,
              userId : this.data.user.user_id
            }
          })
        },
        handlerPost: function(item){//文章收藏
          var _this = this,
              url = 'api/post/'+item.id
          var ajaxPromise = util.ajaxPromise({
            url: url,
            method: 'put',
            values: {}
          })
          ajaxPromise.then(function(ret){
            item.is_favorite ? item.stars_count-- : item.stars_count++
            item.is_favorite = !item.is_favorite
            api.toast({msg: ret.msg})
            _this.updateListPage()
          }).fail(function(err){
            api.toast({msg: err.msg})
          }).finally(function(){
          })
        },
        handlerPraise: function(item){//文章点赞
          var _this = this,
              url = 'api/praise/'+item.id
          var ajaxPromise = util.ajaxPromise({
            url: url,
            method: 'get',
            values: {}
          })
          ajaxPromise.then(function(ret){
            item.is_praise ? item.praises_count-- : item.praises_count++
            item.is_praise = !item.is_praise
            api.toast({msg: ret.msg})
            _this.updateListPage()
          }).fail(function(err){
            api.toast({msg: err.msg})
          }).finally(function(){
          })
        },
        handlerRepliesPraise: function(item){//评论点赞
          var _this = this,
              url = 'api/replies_praise/'+item.id
          var ajaxPromise = util.ajaxPromise({
            url: url,
            method: 'get',
            values: {}
          })
          ajaxPromise.then(function(ret){
            if(item.praise === 'n'){
              item.praise = 'y'
              item.praises_count += 1
            }else{
              item.praise = 'n'
              item.praises_count -= 1
            }
            api.toast({msg: ret.msg})
          }).fail(function(err){
            api.toast({msg: err.msg})
          }).finally(function(){
          })
        },
        handlerOneLevel: function(item, index){
          this.$refs.input.focus()
          this.postId =item.post_id
          this.parentId = item.id
          this.outerIndex = index
          this.showIngText = item.replies_user
          this.showReplyIng = true
        },
        handlerTwoLevel: function(item, index, outerIndex){
          this.$refs.input.focus()
          this.postId = item.post_id
          this.parentId = item.id
          this.outerIndex = outerIndex
          this.innerIndex = index
          this.showIngText = item.replies_user
          this.showReplyIng = true

        },
        handlerCancelReplyIng: function(){
          this.showReplyIng = false
          this.outerIndex = -1
          this.innerIndex = -1
        },
        handlerAddReplies: function(){
          if(!util.isLogin()){
            return util.isLogin(true)
          }
          if(!this.content) return api.toast({msg: '请输入评论内容'})
          if(this.isSubmitIng) return
          this.isSubmitIng = true
          var _this = this,
              url = 'api/replies',
              user = util.getPrefs('user'),
              values = {
                post_id: _this.postId,
                content: _this.content
              }
              if(_this.parentId){
                values.parent_id = _this.parentId
              }
          var ajaxPromise = util.ajaxPromise({
            url: url,
            method: 'post',
            values: values
          })
          ajaxPromise.then(function(ret){
            var user = util.getPrefs('user'),
                data = ret.data
                data.replies = []
                data.user = user.user
                data.user_id = user.user.user_id
                data.praises_count = 0

                if(_this.outerIndex != -1 && _this.innerIndex !=-1){
                  var replies = _this.userComment[_this.outerIndex].replies
                      replies.splice(_this.innerIndex + 1, 0, data)
                }else if(_this.outerIndex != -1){
                  var replies = _this.userComment[_this.outerIndex].replies || []
                      _this.userComment[_this.outerIndex].replies.unshift(data)
                }else{
                    _this.userComment.unshift(data)
                }
                _this.content = ''
                _this.data.comment_count++
                _this.noData = true
                _this.$refs.input.blur()
                api.toast({msg: ret.msg, location: 'middle'})
                _this.outerIndex = -1
                _this.innerIndex = -1
                _this.showReplyIng = false
                _this.updateListPage()
          }).fail(function(err){
            api.toast({msg: err.msg})
          }).finally(function(){
            _this.isSubmitIng = false
          })
        },
        detail: function(){
            var _this = this,
                newUrl = 'api/post/' + api.pageParam.id
            var newAjaxPromise = util.ajaxPromise({url: newUrl, method: 'get'})
            newAjaxPromise.then(function(ret){
              _this.data = ret.data
              _this.load()
            }).finally(function(){
              setTimeout(function(){
                _this.firstLoadDetailEnd = true
                util.closeUiLoading()
              }, 100)
            })
        },
        more: function(){
          var _this = this
          util.ajaxPromise(this.params).then(function(ret){
            _this.userComment = _this.userComment.concat(ret.data.data)
            _this.noData = _this.userComment.length
          }).finally(function(){
            _this.loadMoreGIF = false
          })
        },
        load: function(){
          var _this = this,
              newUrl = 'api/replies'
              this.params = {
                url: newUrl,
                method: 'get',
                values: {post_id: api.pageParam.id, page: 1},
                ajaxLoading: function(){
                  _this.loadMoreGIF = true
                  _this.noData = true
                },
                ajaxLoadAll: function(){
                  _this.loadAll = true
                }
              }
              _this.more(this.params)
        }
      },
      directives: {
        rich: {
          update: function(el, binding){
            el.innerHTML = binding.value
          }
        }
      },
      created: function(){
        var _this = this
        this.detail()
        util.more({threshold: 600, moreCallback: function(){
            _this.params.values.page++
            _this.more()
        }})
      },
      mounted: function(){
        var _this = this
        api.addEventListener({
              name:'keyboardshow'
          },function(ret, err){
              setTimeout(function(){
                _this.$refs.footer.style.bottom = ret.h + 'px'
              }, 300)
          })
        api.addEventListener({
              name:'keyboardhide'
          },function(ret, err){
              _this.$refs.footer.style.bottom = 0
          })
      }
    })
}
