var vm = null,
    UILoading = null
function init(){
  UILoading = api.require('UILoading')
  UILoading.flower({
      center: {
          x: api.winWidth / 2,
          y: api.winHeight / 2
      },
      size: 45,
      fixed: true,
      id: 'UILoading'
  }, function(ret) {})
}
function forumQuestionsIndexFn(params){
  var params = JSON.parse(params),
      type = params.type
      vm.department_id = params.id
      vm.departmentName = params.name
      vm.departmentIndex = params.index
}
apiready = function() {
    init()
    util.slidingClose()
    vm = new Vue({
      el: '#vm',
      data: {
        isPhotoBrowserOpen: false,
        firstLoadEnd: false,
        isSubmitIng: false,
        imgList: [],
        title: '',
        content: '',
        department_id: '',
        departmentName: '',
        departmentIndex: '',
        systemType: api.systemType,
        baseUrl: util.getBaseUrl() + 'storage'
      },
      methods: {
        handlerUpload: function(){
          _this = this
          unloadImg.select({isAjaxUpload: true}).then(function(ret){
              _this.imgList.push(ret.data.url)
          })
        },
        handlerPhotoBrowser: function(index){
          var ret = []
          for(var i = 0; i < this.imgList.length; i++){
            ret.push(this.baseUrl + this.imgList[i])
          }
          util.openPhotoBrowser({
            imgList: ret,
            activeIndex: index
          })
        },
        handlerDel: function(index){
          this.imgList.splice(index, 1)
        },
        handlerSelectDepartment: function(){
          var _this = this
          api.openWin({
            name: 'forum/department/department',
            url: '../department/department.html',
            slidBackEnabled: false,
            bgColor: '#fff',
            animation: {
              type: 'movein',
              subType: 'from_bottom',
              duration: 300
            },
            pageParam: {
              frameGroupIndex: _this.frameGroupIndex,
              tabs: _this.tabs
            }
          })
        },
        hanlderSubmit: function(){
          var _this = this
          if(!this.title) return api.toast({msg: '请输入标题'})
          if(!this.content) return api.toast({msg: '请输入内容'})
          if(!this.department_id) return api.toast({msg: '请选择科室'})
          var values = {
            title: this.title,
            department_id: this.department_id,
            content: this.content
          }
          if(this.imgList.length){
            values.proof = this.imgList
          }
          if(this.isSubmitIng) return
          this.isSubmitIng = true
          util.ajaxPromise({url: 'api/post', method: 'post', values: values}).then(function(ret){
            api.toast({msg: ret.msg})
            api.execScript({name: 'forum/forum', frameName: 'forum/index0', script: "forumIndexFn()"})
            //这个frame不一定已经存在了 所有可能会报错 正式安装包屏蔽debug应该是没关系的
            api.execScript({name: 'forum/forum', frameName: 'forum/index'+(_this.departmentIndex+1), script: "forumIndexFn()"})

            setTimeout(function(){api.closeWin()}, 1000)
            _this.title = ''
            _this.content = ''
            _this.imgList = []
          }).fail(function(err){
            api.toast({msg: err.msg})
          }).finally(function(){
            _this.isSubmitIng = false
          })
        }
      },
      mounted: function(){
          this.firstLoadEnd || UILoading.closeFlower({id: 'UILoading'})
          this.firstLoadEnd = true
      }
    })
}
