var header = null,
    headerHeight = null,
    vm = null,
    navScroll = null
function init(){
  header = $api.byId('header'),
  headerHeight = $api.fixStatusBar(header)
}
function openFrameGroup(openIndex){
    var tabs = vm.$data.tabs,
        frames = []
    for(var i = 0; i < tabs.length; i++){
      frames.push({
        name: 'forum/index'+ i,
        url: './index.html',
        pageParam: {
          index: i,
          id: tabs[i].id
        },
        bounces: true
      })
    }
    api.openFrameGroup({
        name: 'forum/index',
        useWKWebView: true,
        rect: {
            x: 0,
            y: headerHeight + 45,
            w: 'auto',
            h: api.winHeight - headerHeight - 45
        },
        scrollEnabled: true,
        index: (openIndex ? openIndex : 0),
        frames: frames
      }, function(ret, err) {
        vm.$data.frameGroupIndex = ret.index
        vm.animation(ret.index)
      })
}
function forumForumFn(params) {
  var params = JSON.parse(params),
      type = params.type
  if(type === 'switchTab'){//切换tab 页面=》video/menu/menu.html
    api.setFrameGroupIndex({name: 'forum/index', scroll: true, index: params.index})
  }
}
apiready = function() {
    init()
    vm = new Vue({
      el: '#vm',
      data: {
        tabs: [],
        frameGroupIndex: 0
      },
      methods: {
        handlerMore: function(){
          var _this = this
          api.openWin({
            name: 'forum/menu/menu',
            url: './menu/menu.html',
            slidBackEnabled: false,
            bgColor: '#fff',
            animation: {
              type: 'movein',
              subType: 'from_bottom',
              duration: 300
            },
            pageParam: {
              frameGroupIndex: _this.frameGroupIndex,
              tabs: _this.tabs
            }
          })
        },
        nav: function(tabs){
          this.$nextTick(function(){
            navScroll = new IScroll('#wrapper', { scrollX: true, scrollY: false, preventDefault: false })
          })
        },
        handlerSwitchNav: function(index){
          this.frameGroupIndex = index
          this.animation(index)
          api.setFrameGroupIndex({name: 'forum/index', scroll: true, index: index})
        },
        animation: function(index){
          var navOuter = $api.byId('nav-outer'),
              eqLi = $api.eq(navOuter, index + 1),
              eqLiOffset = $api.offset(eqLi)
          var move = $api.byId('move'),
              moveW = eqLiOffset.w * 0.5
              move.style.width = moveW + 'px'
              var x = Math.round(eqLi.offsetLeft + (moveW/2))
              move.style.WebkitTransform = 'translateX('+x+'px)'
              navScroll.scrollToElement(eqLi, 300, true, true)
        },
        getTabs: function(openIndex){
          var _this = this,
              departmentUrl = 'api/department'
          util.ajaxPromise({url: departmentUrl, method: 'get'}).then(function(ret){
              _this.tabs = ret.data
              _this.tabs.unshift({name: '全部'})
              _this.nav()
              setTimeout(function(){openFrameGroup(openIndex)}, 300)
          })
        }
      },
      mounted: function(){
        this.getTabs()
      }
    })
}
window.addEventListener('resize', function(){
        rect = {
          x: 0,
          y: headerHeight + 45,
          w: 'auto',
          h: api.winHeight - headerHeight - 45
        }
    api.setFrameGroupAttr({name: 'forum/index',rect: rect})
})
