var vm = null,
    UIScrollPicture = null
function init(){
  UIScrollPicture = api.require('UIScrollPicture')
  api.addEventListener({//添加留言成功
      name: 'addCommentSuccess'
  }, function(ret, err){
      var new_id = ret.value.new_id,
          list = [].concat(vm.$data.hotList, vm.$data.industryList, vm.$data.healthList)
          for(var i = 0; i < list.length;i++){
            var item = list[i]
            if(item.id == new_id){
              item.comment_count++
              break
            }
          }
  })
}
apiready = function() {
    init()
    vm = new Vue({
      el: '#vm',
      data: {
        menus: [{text: '解答疑惑',name: 'answer/answer'},{text: '在线学习',name: 'video'},{text: '在线交流', name: 'forum/forum'}],
        advList: [],
        hotList: [],
        industryList: [],
        healthList: [],
        isFirstLoad: true,
        systemType: api.systemType
      },
      methods: {
        handerMenu: function(name, title, cateId){
          if(name === 'video') return api.execScript({script: 'mainFn()'})
          if(name === 'medication/medication') return api.toast({msg: '该功能开发中'})
          api.openWin({
              name: name,
              url: '../'+ name +'.html',
              animation: {
                type: 'movein',
                duration: 300
              },
              pageParam: {
                title: title,
                cateId: cateId
              }
          })
        },
        handlerNewDetail: function(item, type){
          item.hits++
          api.openWin({
              name: 'new/detail/detail',
              url: '../new/detail/detail.html',
              bounces: false,
              animation: {
                type: 'movein',
                duration: 300
              },
              pageParam: {
                type: type,
                id: item.id,
                title: item.title,
                description: item.subject,
                picture: item.picture
              }
          })
        },
        load: function(){
          var _this = this,
              advUrl = 'api/adv?position_id=1',
              newUrl = 'api/new'
          var list = []
          var AdvAjaxPromise = util.ajaxPromise({url: advUrl, method: 'get' ,values: {}})
              list.push(AdvAjaxPromise)
              for(var i = 1; i < 4; i++){
                var newAjaxPromise = util.ajaxPromise({url: newUrl, method: 'get', values: {cate_id: i,limit: 5}})
                list.push(newAjaxPromise)
              }
              Q.all(list).then(function(ret){
                _this.advList = ret[0].data
                var picture = util.map(_this.advList, 'picture')
                _this.isFirstLoad ? uiScrollPicture(picture) : uiScrollPictureReloadData(picture)
                _this.hotList = ret[1].data.data
                _this.industryList = ret[2].data.data
                _this.healthList = ret[3].data.data
              }).finally(function(){
                _this.isFirstLoad = false
                api.refreshHeaderLoadDone()
              })
        }
      },
      filters: {
        menusIcon: function(){
          return require('widget://image/home/icon-1.png')
        }
      },
      created: function(){
        this.load()
      }
    })
    util.refresh(function(){  vm.load() })
}
function uiScrollPictureReloadData(paths){
      UIScrollPicture.reloadData({
          data: {
              paths: paths
          }
      })
}
function uiScrollPicture(paths){
    var UIScrollPictureHeight = 375 * api.winWidth / 750
          var dot = {
              w: 18,
              h: 2,
              r: 2,
              margin: 2
          }
          if(api.systemType === 'ios'){
            dot = {
                w: 18,
                h: 4,
                r: 1,
                margin: 4
            }
          }
          UIScrollPicture.open({
              rect: {
                  x: 0,
                  y: 0,
                  w: api.winWidth,
                  h: UIScrollPictureHeight
              },
              data: {
                  paths: paths
              },
              styles: {
                  indicator: {
                     dot: dot,
                    align: 'center',
                    color: '#fff',
                    activeColor: '#2866ca'
                  }
              },
              interval: 5,
              loop: true,
              loop: false,
              fixed: false,
              fixedOn: 'home/index',
          }, function(ret, err) {
              if(ret.eventType === 'click'){
                util.openAdvPage(vm.$data.advList[ret.index])
              }
          })
}
