function init(){
  api.addEventListener({
      name: 'closeVideoReplayPage'
  }, function(ret, err){
      addRecord(ret)
  })
}
function addRecord(ret){
  var _this = this,
      videoUrl = 'api/video/'
  var videoAjaxPromise = util.ajaxPromise({url: videoUrl, method: 'post', values: ret.value})
      videoAjaxPromise.then(function(ret){})
}
apiready = function() {
    init()
    vm = new Vue({
        el: '#vm',
        data: {
          list: [],
          noData: true,
          loadMoreGIF: false,
          loadAll: false,
          params: {}
        },
        computed: {
          loadAllComd: function(){
            return this.loadAll && this.list.length
          }
        },
        methods: {
          handlerReplay: function(id){
            util.relNameAndVip().then(function(){
              api.openWin({
                  name: 'video/replay/replay',
                  url: 'widget://html/video/replay/replay.html',
                  animation: {
                    type: 'movein',
                    subType: 'from_right',
                    duration: 300
                  },
                  pageParam: {
                    id: id
                  },
                  slidBackEnabled: false
              })
            }).fail(function(){})
          },
          more: function(opType){
              var _this = this
              if(opType === 'refresh'){//刷新
                this.params.values.page = 1
                _this.repeat()
              }
              util.ajaxPromise(this.params).then(function(ret){
                _this.list = opType === 'refresh' ? ret.data.data :  _this.list.concat(ret.data.data)
                _this.noData = _this.list.length
              }).finally(function(){
                _this.loadMoreGIF = false
                opType === 'refresh' && api.refreshHeaderLoadDone()
              })
          },
          load: function(opType){
            var _this = this,
                newUrl = 'api/video_stars'
                this.params = {
                  url: newUrl,
                  method: 'get',
                  values: {limit: 10, page: 1},
                  ajaxLoading: function(){
                    _this.loadMoreGIF = true
                    _this.noData = true
                  },
                  ajaxLoadAll: function(){
                    _this.loadAll = true
                  }
                }
                _this.more(opType)
          },
          repeat: function(){
            var _this = this
            _this.loadAll = false
            util.more({moreCallback: function(){
                _this.params.values.page++
                _this.more()
            }})
          }
        },
        created: function(){
          var _this = this
          this.load()
          util.more({moreCallback: function(){
              _this.params.values.page++
              _this.more()
          }})
        }
    })
    util.refresh(function(){
      vm.$data.loadAll = false
      vm.load('refresh')
    })
}
