var vm = null,
    UILoading = null,
    myScroll = null
function init(){
  util.slidingClose()
  util.openUiLoading()
}
apiready = function() {
    init()
    vm = new Vue({
      el: '#vm',
      data: {
        noData: true,
        loadMoreGIF: false,
        loadAll: false,
        firstLoadDetailEnd: false,
        isSubmitIng: false,
        content: '',
        data: {},
        userComment: [],
        params: {},
        countIndex: 0,
        systemType: api.systemType,
        total: 0
      },
      methods: {
        getTime: function(){
          var d = new Date(),
              weeks = ['星期日','星期一','星期二','星期三','星期四','星期五','星期六'],
              year = d.getFullYear(),
              mouth = d.getMonth() + 1,
              day = d.getDate(),
              hour = d.getHours() < 10 ? '0' + d.getHours() : d.getHours(),
              minutes = d.getMinutes() < 10 ? '0' + d.getMinutes() : d.getMinutes(),
              second = d.getSeconds() < 10 ? '0' + d.getSeconds() : d.getSeconds(),
              weekIndex = d.getDay()
          var week = weeks[weekIndex]
              return year + '-' + mouth + '-' + day + ' ' + hour + ':' + minutes + ':' + second
        },
        handlerFavorite: function(){
          if(!util.isLogin()){//未登录 登录成功后跳回本页面
            var backData = {
              url: 'widget://html/new/detail/detail.html',
              name: 'new/detail/detail',
              pageParam: api.pageParam
            }
            util.setPrefs('backData', backData)
            return util.isLogin(true)
          }
          if(this.isSubmitIng) return
          this.isSubmitIng = true
          var _this = this,
              url = 'api/favorite'
          var ajaxPromise = util.ajaxPromise({
            url: url,
            method: 'post',
            values: {
              new_id: api.pageParam.id
            }
          })
          var is_favorite = _this.data.is_favorite
          ajaxPromise.then(function(ret){
            api.toast({msg: ret.msg, location: 'middle'})
            is_favorite ? _this.data.favorite_count-- : _this.data.favorite_count++
            _this.data.is_favorite = !is_favorite
          }).fail(function(){
            api.toast({msg: ret.msg, location: 'middle'})
          }).finally(function(){
            _this.isSubmitIng = false
          })
        },
        handlerAddComment: function(){
          if(!util.isLogin()){
            return util.isLogin(true)
          }
          if(!this.content) return api.toast({msg: '请输入评论内容'})
          if(this.isSubmitIng || !this.content) return
          this.isSubmitIng = true
          var _this = this,
              url = 'api/user_comment',
              user = util.getPrefs('user')
          var ajaxPromise = util.ajaxPromise({
            url: url,
            method: 'post',
            values: {
              new_id: api.pageParam.id,
              user_id: user.user.user_id,
              content: _this.content
            }
          })
          ajaxPromise.then(function(ret){
            var constructrData = {
              content: _this.content,
              user_id: user.user.user_id,
              created_at: _this.getTime(),
              user: user.user
            }
            _this.userComment.unshift(constructrData)
            _this.content = ''
            _this.total++
            _this.noData = true
            _this.$refs.input.blur()
            setTimeout(function(){
              api.toast({msg: ret.msg, location: 'middle'})
            }, 15)
            api.sendEvent({ name: 'addCommentSuccess', extra: { new_id: api.pageParam.id } })
          }).fail(function(){
            api.toast({msg: ret.msg, location: 'middle'})
          }).finally(function(){
            _this.isSubmitIng = false
          })
        },
        preLoadImg: function(source){
            var _this = this,
                pr = []
            source.forEach(function(url){
               pr.push(_this.loadImage(url).then(function(){}).fail(function(){}))
            })
            return pr
        },
        loadImage: function(url) {
            var deferred = Q.defer()
            var img = new Image()
            img.src = url
            img.onload = function(){
              deferred.resolve(img)
            }
            img.error = function(){
              deferred.reject()
            }
            return deferred.promise
        },
        detail: function(){
            var _this = this,
                newUrl = 'api/new/' + api.pageParam.id
            var newAjaxPromise = util.ajaxPromise({url: newUrl, method: 'get'})
            newAjaxPromise.then(function(ret){
              _this.data = ret.data
              _this.load()
              _this.$nextTick(function(){
                var content =  $api.byId('content'),
                    imgList = [],
                    imgNodes = $api.domAll(content, 'img')
                    for(var i = 0; i < imgNodes.length; i++){
                        var src = $api.attr(imgNodes[i], 'src')
                          imgList.push(src)
                    }
                Q.all(_this.preLoadImg(imgList)).finally(function(){})
                $api.addEvt(content, 'click', function(el){
                   var target = el.target
                    if(target.nodeName.toLowerCase() === 'img'){
                        imgNodes = $api.domAll(content, 'img')
                        imgList = []
                        for(var i = 0; i < imgNodes.length; i++){
                            var src = $api.attr(imgNodes[i], 'src')
                              imgList.push(src)
                              $api.attr(imgNodes[i], 'data-index', i)
                        }
                        util.openPhotoBrowser({
                          imgList: imgList,
                          activeIndex: parseInt($api.attr(target, 'data-index')),
                          showSaveBtn: true
                        })
                    }
                })
              })
            }).finally(function(){
              setTimeout(function(){
                _this.firstLoadDetailEnd = true
                util.closeUiLoading()
              }, 100)
            })
        },
        more: function(){
          var _this = this
          util.ajaxPromise(this.params).then(function(ret){
            _this.userComment = _this.userComment.concat(ret.data.data)
            _this.noData = _this.userComment.length
            _this.total = ret.data.total
            if(_this.params.values.page <= 1 && api.pageParam.type === 'message'){
              _this.$nextTick(function(){
                document.body.scrollTop = document.documentElement.scrollTop = $api.offset($api.byId('message')).t
              })
            }
          }).finally(function(){
            _this.loadMoreGIF = false
          })
        },
        load: function(){
          var _this = this,
              newUrl = 'api/user_comment'
              this.params = {
                url: newUrl,
                method: 'get',
                values: {new_id: api.pageParam.id, page: 1},
                ajaxLoading: function(){
                  _this.loadMoreGIF = true
                  _this.noData = true
                },
                ajaxLoadAll: function(){
                  _this.loadAll = true
                }
              }
          _this.more(this.params)
        },
      },
      directives: {
        rich: {
          update: function(el, binding){
            el.innerHTML = binding.value
          }
        }
      },
      created: function(){
        var _this = this
        this.detail()
        util.more({threshold: 600, moreCallback: function(){
            if(!_this.params.values) return
            _this.params.values.page++
            _this.more()
        }})
      },
      mounted: function(){
        var _this = this
        api.addEventListener({
              name:'keyboardshow'
          },function(ret, err){
              setTimeout(function(){
                _this.$refs.footer.style.bottom = ret.h + 'px'
              }, 300)
          })
        api.addEventListener({
              name:'keyboardhide'
          },function(ret, err){
              _this.$refs.footer.style.bottom = 0
          })
      }
    })
}
