function init(){
  util.slidingClose()
  api.addEventListener({//添加留言成功
      name: 'addCommentSuccess'
  }, function(ret, err){
      var new_id = ret.value.new_id,
          list = vm.$data.list
      for(var i = 0; i < list.length;i++){
        var item = list[i]
        if(item.id == new_id){
          item.comment_count++
          break
        }
      }
  })
}
apiready = function() {
    init()
    vm = new Vue({
        el: '#vm',
        data: {
          noData: true,
          loadMoreGIF: false,
          loadAll: false,
          setTop: {},
          list: [],
          params: {}
        },
        computed: {
          loadAllComd: function(){
            return this.loadAll && this.list.length
          }
        },
        methods: {
          handlerDetail: function(item, type){
            item.hits++
            api.openWin({
                name: 'new/detail/detail',
                url: './detail/detail.html',
                bounces: false,
                animation: {
                  type: 'movein',
                  duration: 300
                },
                pageParam: {
                  type: type,
                  id: item.id,
                  title: item.title,
                  description: item.subject,
                  picture: item.picture
                }
            })
          },
          more: function(opType){
              var _this = this
              if(opType === 'refresh'){//刷新
                this.params.values.page = 1
                this.repeat()
              }
              util.ajaxPromise(this.params).then(function(ret){
                _this.list = opType === 'refresh' ? ret.data.data :  _this.list.concat(ret.data.data)
                _this.setTop = _this.list.length ? _this.list[0] : {}
                _this.noData = _this.list.length
              }).finally(function(){
                _this.loadMoreGIF = false
                opType === 'refresh' && api.refreshHeaderLoadDone()
              })
          },
          load: function(opType){
            var _this = this,
                newUrl = 'api/new'
                this.params = {
                  url: newUrl,
                  method: 'get',
                  values: {cate_id: api.pageParam.cateId, per_page: 10, page: 1},
                  ajaxLoading: function(){
                    _this.loadMoreGIF = true
                    _this.noData = true
                  },
                  ajaxLoadAll: function(){
                    _this.loadAll = true
                  }
                }
                _this.more(opType)
          },
          repeat: function(){
            var _this = this
            _this.loadAll = false
            util.more({moreCallback: function(){
                _this.params.values.page++
                _this.more()
            }})
          }
        },
        created: function(){
          var _this = this
          this.load()
          util.more({moreCallback: function(){
              _this.params.values.page++
              _this.more()
          }})
        }
    })
    util.refresh(function(){
      vm.$data.loadAll = false
      vm.load('refresh')
    })
}
