var header = null,
    headerOffset = null,
    headerHeight = null,
    photoBrowser = null,
    vm = null
    function photoBrowserIndexFn(index){
      photoBrowser.getImage({
          index: index
      }, function(ret, err) {
          if (ret) {
              api.saveMediaToAlbum({
                  path: ret.path
              }, function(ret, err) {
                  if (ret && ret.status) {
                      api.toast({msg: '保存成功'})
                  } else {
                    api.toast({msg: '保存失败'})
                  }
              })
          } else {
              api.toast({msg: err.msg})
          }
      })
    }
    function init(){
      header = $api.byId('header')
      headerOffset = $api.offset(header)
      headerHeight = $api.fixStatusBar(header)
      photoBrowser = api.require('photoBrowser')
          photoBrowser.open({
              images: api.pageParam.imgList,
              bgColor: '#000',
              activeIndex: api.pageParam.activeIndex || 0
          }, function(ret, err) {
              var eventType = ret.eventType
              if(eventType === 'show'){
                  api.openFrame({
                      name: 'photo_browser/bar',
                      url: './bar.html',
                      bounces: false,
                      bgColor: 'rgba(0,0,0, .7)',
                      rect: {
                          x: 0,
                          y: 0,
                          w: 'auto',
                          h: (api.systemType === 'android' ? headerHeight : headerOffset.h)
                      },
                      pageParam: {
                        imgList: api.pageParam.imgList,
                        activeIndex: api.pageParam.activeIndex,
                        showSaveBtn: api.pageParam.showSaveBtn
                      },
                      vScrollBarEnabled: false
                  })
              }else if(eventType === 'change'){
                var photoBrowserBarFn = 'photoBrowserBarFn('+ret.index+')'
                    api.execScript({
                        name: 'html/photo_browser/photo_browser',
                        frameName: 'photo_browser/bar',
                        script: photoBrowserBarFn
                    })
              }else if(eventType === 'click'){
                  api.closeWin()
              }
          })
    }

  apiready = function() {
      init()
      vm = new Vue({
        el: '#vm'
      })
  }
