var header = null,
    headerHeight = null,
    vm = null

function init(){
  util.openUiLoading()
  util.slidingClose()
}
apiready = function(){
  init()
  vm = new Vue({
    el: '#vm',
    data: {
      systemType: api.systemType,
      noData: true,
      loadMoreGIF: false,
      loadAll: false,
      firstLoadEnd: false,
      list: [],
      params: {}
    },
    computed: {
      loadAllComd: function(){
        return this.loadAll && this.list.length
      }
    },
    methods: {
      more: function(opType){
          var _this = this
          if(opType === 'refresh'){//刷新
            this.params.values.page = 1
            _this.repeat()
          }
          util.ajaxPromise(this.params).then(function(ret){
              for(var i = 0; i < ret.data.data.length; i++){
                var item = ret.data.data[i]
                item.imgs = item.proof ? item.proof.slice(0, 3) : []
              }
              _this.list = opType === 'refresh' ? ret.data.data :  _this.list.concat(ret.data.data)
              _this.noData = _this.list.length
          }).finally(function(){
            _this.loadMoreGIF = false
            _this.firstLoadEnd || util.closeUiLoading()
            _this.firstLoadEnd = true
            opType === 'refresh' && api.refreshHeaderLoadDone()
          })
      },
      load: function(opType){
        var _this = this,
            newUrl = 'api/live'
            this.params = {
              url: newUrl,
              method: 'get',
              more: true,
              values: {page: 1, start: 0},
              ajaxLoading: function(){
                _this.loadMoreGIF = true
                _this.noData = true
              },
              ajaxLoadAll: function(){
                _this.loadAll = true
              }
            }
            _this.more(opType)
      },
      repeat: function(){
        var _this = this
        _this.loadAll = false
        util.more({moreCallback: function(){
            _this.params.values.page++
            _this.more()
        }})
      },
      handlerLive: function(item){
        util.relNameAndVip().then(function(){
          api.openWin({
              name: 'video/liveing/detail',
              url: './detail.html',
              animation: {
                type: 'movein',
                subType: 'from_right',
                duration: 300
              },
              pageParam: {
                id: item.id,
                webcast_id: item.webcast_id,
                token: item.token
              }
          })
        }).fail(function(){})

      }
    },
    created: function(){
      this.load()
      this.repeat()
    }
  })
  util.refresh(function(){ vm.load('refresh') })

}
