var vm = null,
    UIScrollPicture = null,
    UILoading = null,
    pictureL = null,
    pictureW = null,
    pictureH = null

function init(){
        pictureL = parseInt($api.cssVal($api.dom('html'), 'font-size')) * 0.75
        pictureW = api.winWidth + 1 - pictureL * 2
        pictureH = 375 * pictureW/ 750
    var picture = $api.byId('picture'),
        s = pictureH + pictureL
        $api.css(picture, 'width: '+api.winWidt+'px;height:'+parseInt(s)+'px')

        UILoading = api.require('UILoading')
        UILoading.flower({
            center: {
                x: api.winWidth / 2,
                y: api.winHeight / 2
            },
            size: 45,
            fixed: true,
            id: 'UILoading'
        }, function(ret) {})
}
apiready = function(){
  init()
  vm = new Vue({
    el: '#vm',
    data: {
      firstLoadAdvEnd: false,
      systemType: api.systemType,
      advList: [],
      liveIngList: [],
      noLiveData: true,
      livePreviewList: [],
      noPreviewData: true,
      loadMoreGIF: false,
      loadAll: false,
      previewPage: 1,
      isSubmitIng: false
    },
    computed: {
      loadAllComd: function(){
        return this.loadAll && this.livePreviewList.length
      }
    },
    methods: {
      adv: function(data){
            this.advList = data
            // uiScrollPicture(util.map(this.advList, 'picture'))
            !this.firstLoadAdvEnd ? uiScrollPicture(util.map(this.advList, 'picture')) : uiScrollPictureReloadData(util.map(this.advList, 'picture'))
      },
      live: function(data){
            this.liveIngList = data
            this.noLiveData = data.length
      },
      livePreview: function(data){
        var _this = this
            this.livePreviewList = data.data
            this.noPreviewData = data.data.length
            if(data.last_page == this.previewPage) {
              api.removeEventListener({name: 'scrolltobottom'})
            }else{
              util.more({moreCallback: function(){
                _this.morePreview()
              }})
            }
      },
      morePreview: function(){
        var _this = this
        this.previewPage++
        var previewUrl = 'api/live',
            previewAjaxPromise = util.ajaxPromise({
              url: previewUrl,
              method: 'get',
              values: {page: this.previewPage, per_page: 2},
              ajaxLoading: function(){
                _this.loadMoreGIF = true
              },
              ajaxLoadAll: function(){
                _this.loadAll = true
              }
            })
            previewAjaxPromise.then(function(ret){
              _this.livePreviewList = _this.livePreviewList.concat(ret.data.data)
            }).finally(function(){
              _this.loadMoreGIF = false
            })
      },
      load: function(){
        this.previewPage = 1
        this.loadAll = false
        var _this = this,
            advUrl = 'api/adv?position_id=2',
            AdvAjaxPromise = util.ajaxPromise({url: advUrl, method: 'get', cb: function(){}, values: {}}),
            liveIngUrl = 'api/live',
            liveIngAjaxPromise = util.ajaxPromise({url: liveIngUrl, method: 'get', noRemoveScrolltobottom: true, values: {page: 1,per_page: 6, start: 1}}),
            previewUrl = 'api/live',
            previewAjaxPromise = util.ajaxPromise({url: previewUrl, method: 'get', noRemoveScrolltobottom: true, values: {page: this.previewPage, start: 0}, ajaxLoadAll: function(){
              _this.loadAll = true
            }}),
            list = []
            list.push(AdvAjaxPromise)
            list.push(liveIngAjaxPromise)
            list.push(previewAjaxPromise)
            Q.all(list).then(function(ret){
              _this.adv(ret[0].data)
              _this.live(ret[1].data.data)
              _this.livePreview(ret[2].data)
            }).finally(function(){
              _this.firstLoadAdvEnd = true
              api.refreshHeaderLoadDone()
              UILoading.closeFlower({id: 'UILoading'})
            })
      },
      handlerLive: function(item){
        util.relNameAndVip().then(function(){
          api.openWin({
              name: 'video/liveing/detail',
              url: './liveing/detail.html',
              animation: {
                type: 'movein',
                subType: 'from_right',
                duration: 300
              },
              pageParam: {
                id: item.id,
                webcast_id: item.webcast_id,
                token: item.token
              }
          })
        }).fail(function(){})

        // var browser = api.require('webBrowser')
        //     browser.open({
        //         url: 'http://huishiyl.gensee.com/webcast/site/entry/join-'+item.webcast_id+'?nickName='+user.user.nickname+'&token='+item.token
        //     })
      },
      handlerMoreLive: function(){
        if(this.liveIngList.length < 6) return
        api.openWin({
            name: 'video/liveing/liveing',
            url: './liveing/liveing.html',
            animation: {
              type: 'movein',
              subType: 'from_right',
              duration: 300
            }
        })
      },
      handlerAddPrevent: function(item){
        var _this = this,
            url = 'api/live/'+item.id,
            user = util.getPrefs('user')
            if(this.isSubmitIng) return
            this.isSubmitIng = true
        var ajaxPromise = util.ajaxPromise({
              url: url,
              method: 'put',
              values: {}
            })
            ajaxPromise.then(function(ret){
              api.toast({msg: ret.msg})
              item.notify_count = ret.data.notify_count
            }).fail(function(err){
              api.toast({msg: err.msg})
            }).finally(function(){
              _this.isSubmitIng = false
            })
      }
    },
    created: function(){
      var _this = this
      this.load()
    },
    filters: {
      monthDay: function(v){
        v = v.replace(/\-/g, '/')
        var nowDate = new Date(v),
            month = nowDate.getMonth() + 1 < 10 ? '0' + (nowDate.getMonth() + 1) : nowDate.getMonth() + 1,
            day = nowDate.getDate() < 10 ? '0' + nowDate.getDate() : nowDate.getDate()
            return month+'/'+day
      },
      sectionAt: function(v){
        v = v.replace(/\-/g, '/')
        var nowDate = new Date(v),
            hour = nowDate.getHours() < 10 ? '0' + nowDate.getHours() : nowDate.getHours(),
            minute = nowDate.getMinutes() < 10 ? '0' + nowDate.getMinutes() : nowDate.getMinutes()
            return hour + ':' + minute
      }
    }
  })
  util.refresh(function(){  vm.load() })
}
function uiScrollPictureReloadData(paths){
      UIScrollPicture.reloadData({
          data: {
              paths: paths
          }
      })
}
function uiScrollPicture(paths){
        UIScrollPicture = api.require('UIScrollPicture')
        var dot = {
            w: 18,
            h: 2,
            r: 2,
            margin: 2
        }
        if(api.systemType === 'ios'){
          dot = {
              w: 18,
              h: 4,
              r: 4,
              margin: 4
          }
        }
        UIScrollPicture.open({
            rect: {
                x: pictureL,
                y: pictureL,
                w: pictureW,
                h: pictureH
            },
            data: {
                paths: paths
            },
            styles: {
                indicator: {
                    dot: dot,
                    align: 'center',
                    color: '#fff',
                    activeColor: '#2866ca'
                }
            },
            interval: 5,
            loop: true,
            loop: false,
            fixed: false,
            fixedOn: 'video/live_list',
        }, function(ret, err) {
          if(ret.eventType === 'click'){
            util.openAdvPage(vm.$data.advList[ret.index])
          }
        })
}
