var vm = null,
    navScroll = null

function init(){
        api.addEventListener({
            name: 'closeVideoReplayPage'
        }, function(ret, err){
            addRecord(ret)
        })

}

function addRecord(ret){
  var _this = this,
      videoUrl = 'api/video/'
  var videoAjaxPromise = util.ajaxPromise({url: videoUrl, method: 'post', values: ret.value})
      videoAjaxPromise.then(function(ret){})
}
function openFrameGroup(openIndex){
    var tabs = vm.$data.tabs,
        frames = []
    for(var i = 0; i < tabs.length; i++){
      frames.push({
        name: 'replay_index_'+ i,
        url: './replay_index.html',
        pageParam: {
          index: i,
          id: tabs[i].id
        },
        bounces: true
      })
    }
    api.openFrameGroup({
        name: 'video/replay_index',
        useWKWebView: true,
        rect: {
            x: 0,
            y: 45 + api.pageParam.headerHeight - 1,
            w: 'auto',
            h: api.winHeight - 45 - api.pageParam.headerHeight - api.pageParam.footerHeight
        },
        scrollEnabled: true,
        index: (openIndex ? openIndex : 0),
        frames: frames
      }, function(ret, err) {
        vm.$data.frameGroupIndex = ret.index
        vm.animation(ret.index)
      })

}
function videoReplayListFn(params){
  var params = JSON.parse(params),
      type = params.type
  if(type === 'switchTab'){//切换tab 页面=》video/menu/menu.html
    api.setFrameGroupIndex({name: 'video/replay_index', scroll: true, index: params.index})
  }else if(type === 'showOrHide'){
    if(params.footerActiveIndex == 1 && params.videoActiveIndex == 1){
      api.setFrameGroupAttr({name: 'video/replay_index',hidden: false})
      openFrameGroup()
    }else{
      api.setFrameGroupAttr({name: 'video/replay_index',hidden: true})
    }
  }
}
apiready = function(){
  init()
  vm = new Vue({
    el: '#vm',
    data: {
      advList: [],
      tabs: [],
      frameGroupIndex: 0
    },
    methods: {
      load: function(){
        var _this = this,
            advUrl = 'api/adv?position_id=3'
        var list = []
        var AdvAjaxPromise = util.ajaxPromise({url: advUrl, method: 'get', cb: function(){}, values: {}})
          list.push(AdvAjaxPromise)
            Q.all(list).then(function(ret){
              _this.advList = ret[0].data
              var picture = util.map(_this.advList, 'picture')
            }).finally(function(){})
      },
      handlerReplay: function(){
        api.openWin({
            name: 'video/replay/replay',
            url: './replay/replay.html',
            animation: {
              type: 'movein',
              subType: "from_right",
              duration: 300
            }
        })
      },
      handlerSwitchNav: function(index){
        this.frameGroupIndex = index
        this.animation(index)
        api.setFrameGroupIndex({name: 'video/replay_index', scroll: true, index: index})
      },
      animation: function(index){
        var navOuter = $api.byId('nav-outer'),
            eqLi = $api.eq(navOuter, index + 1),
            eqLiOffset = $api.offset(eqLi)
        var move = $api.byId('move'),
            moveW = eqLiOffset.w * 0.5
            move.style.width = moveW + 'px'
            var x = Math.round(eqLi.offsetLeft + (moveW/2))
            move.style.WebkitTransform = 'translateX('+x+'px)'
            navScroll.scrollToElement(eqLi, 300, true, true)
      },
      nav: function(tabs){
        this.$nextTick(function(){
          navScroll = new IScroll('#wrapper', { scrollX: true, scrollY: false, preventDefault: false })
        })
      },
      handlerMore: function(){
        var _this = this
        api.openWin({
          name: 'video/menu/menu',
          url: './menu/menu.html',
          slidBackEnabled: false,
          bgColor: '#fff',
          animation: {
            type: 'movein',
            subType: 'from_bottom',
            duration: 300
          },
          pageParam: {
            frameGroupIndex: _this.frameGroupIndex,
            tabs: _this.tabs
          }
        })
      },
      getTabs: function(openIndex){
        var _this = this,
            newUrl = 'api/video_type'
        util.ajaxPromise({url: newUrl, method: 'get'}).then(function(ret){
            _this.tabs = ret.data
            _this.tabs.unshift({name: '全部'})
            _this.nav()
            setTimeout(function(){openFrameGroup(openIndex)}, 0)
        })
      }
    },
    mounted: function(){
      this.getTabs()
    }
  })
}
