(function(window){
  var DgValidator = {
    isMobile: function(value){//是不是手机号
      return /^1(3|4|5|7|8)\d{9}$/.test(value)
    },
    isVerifyCode: function(value){//验证码4·6位
      return /^\d{4,6}$/.test(value)
    },
    isName: function(value){//名字2`4位
      return /^[\u4e00-\u9fa5]{2,4}$/.test(value)
    },
    isEmail: function(value){
      return /^(\w-*\.*)+@(\w-?)+(\.\w{2,})+$/.test(value)
    }
  }
	window.DgValidator = DgValidator
})(window)
